export default function getListenerIdFromBusinessCode (businessCode) {
  switch (businessCode) {
	  case 'PROCUREMENT-ORDER-APPROVE':
	  return 'procurementOrderListener'
	  case 'INOUTTASK-TASK-APPROVE':
	  return 'inOutWharehoseTaskListener'
	  case 'PROCUREMENT-CLOSE-REPORT':
	    return 'purchaseClosingReportListener'
    case 'PROCUREMENT-RECEIPT-REPORT':
	    return 'purchaseReceiptReportListener'
    case 'SALE-ORDER-APPROVE':
		  return 'saleOrderListener'
    case 'SALE-CLOSE-REPORT':
      return 'saleCloseReportListener'
    case 'SALE-RECEIPT-REPORT':
      return 'saleOutReportListener'
      case 'TRANSPORTATION-SETTLEMENT-REPORT':
        return 'tranSettlementReportListener'
    case 'PROCUREMENT-PRICE-APPROVE':
      return 'acquisitionListener'
      case 'PAYMENT-MANAGEMENT-APPROVE':
        return 'acquisitionPayListener'
        case 'STOCK-PROCUREMENT-RECEIPT-REPORT':
        return 'goodsPurchaseReceiptReportListener'
        case 'BUY-CONTRACT-APPROVE':
          return 'buyContractListener'
        case 'SALE-CONTRACT-APPROVE':
          return 'saleContractListener'
          // 贸易服务
        case 'TRADE-WAREHOUSE-REPORT':
          return 'tradeServicesListener'
    default:
      return null;

  }
}
